<form [formGroup]="_form" (ngSubmit)="_onFormSubmit()">
  <div class="form-fields">
    <formly-form [form]="_form" [fields]="_formFields" [options]="_options" [model]="model"></formly-form>
  </div>

  <div class="buttons mt-3" [hidden]="_formFields.length === 0">
    <button type="submit" class="btn btn-primary btn-default mr-3">Submit</button>
    <button type="button" class="btn btn-danger btn-default" (click)="_onFormCancel()">Cancel</button>
  </div>
</form>
